Subject: bug#8123: 24.0.50; [nnimap/Gnus] loose all flags if interrupted while entering a folder

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 05 Mar 2011 11:03:40 +0100

Luca Capello <[email-masked]> writes:

> I left my Gnus plugged to the IMAPs server, but then I inadvertently
> plugged the cable out and before I realized that I entered the nnimap
> group below.  Given that there was no more connection, Gnus was hanging
> there and I pressed C-g: the result, when I re-connected to the server,
> is that all the flags (unseen and ticked) in the group below were lost.

[...]

> 15:04:58 (inhibited)
> 15:04:58 10285 ENABLE QRESYNC
> 15:04:58 10286 SELECT "lists.Debian.devel.general"
> 15:04:59 10287 UID STORE 8921,9000,9020,9029:9030,9323,9341:9344,9347,9349:9352,9355,9359,9362,9371,9373,9378,9381:9383,9411,9432:9435,9440:9441,9682,9702,9704,9746,9754,9775,9777,9792,9794,9796,9846,9848,10020,10104,10106,10109:10110,10112,10114:10115,10117,10120:10121,10124,10126,10130,10133,10137:10138,10143,10147,10151,10159,10169,10185:10186,10212:10213,10215:10216,10239,10255,10264,10270,10287:10288,10290:10291,10293:10294,10296:10306,10314:10315,10317,10319,10328,10334,10342,10348:10349,10351,10373,10390,10396 +FLAGS.SILENT (\Seen)

Hm.  Is this log fragment from when you entered the group after plugging
in the cable again?

And what date is the snapshot you were running from?

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen